<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_meta_format_t::pyramid Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="structtivx__meta__format__t.html">tivx_meta_format_t</a>::<a class="el" href="structtivx__meta__format__t_1_1pyramid.html">pyramid</a>
  </div>
</div>
<div class="contents">
<h1>tivx_meta_format_t::pyramid Struct Reference</h1><!-- doxytag: class="tivx_meta_format_t::pyramid" --><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html#ab1afd9c9d281ef73d4d624dffa6b474a">width</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The width of the 0th <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a> in pixels.  <a href="#ab1afd9c9d281ef73d4d624dffa6b474a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html#ac1dc0cb160ecbb1adb7e2323ac8d9e4c">height</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The <code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1">vx_df_image_e</a></code> format of the <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a>.  <a href="#ac1dc0cb160ecbb1adb7e2323ac8d9e4c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a412d06b819f02ba5bb0534e6967b1714">format</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of scale levels.  <a href="#a412d06b819f02ba5bb0534e6967b1714"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a02b5cb95d14dcf21eeeb1c8e6c150192">levels</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The ratio between each level.  <a href="#a02b5cb95d14dcf21eeeb1c8e6c150192"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a92fd5c1c67657805a04442ef65399a55">scale</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ab1afd9c9d281ef73d4d624dffa6b474a"></a><!-- doxytag: member="tivx_meta_format_t::pyramid::width" ref="ab1afd9c9d281ef73d4d624dffa6b474a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__meta__format__t_1_1pyramid.html#ab1afd9c9d281ef73d4d624dffa6b474a">tivx_meta_format_t::pyramid::width</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The width of the 0th <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a> in pixels. </p>
<p>&lt; The height of the 0th <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a> in pixels. </p>

</div>
</div>
<a class="anchor" id="ac1dc0cb160ecbb1adb7e2323ac8d9e4c"></a><!-- doxytag: member="tivx_meta_format_t::pyramid::height" ref="ac1dc0cb160ecbb1adb7e2323ac8d9e4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structtivx__meta__format__t_1_1pyramid.html#ac1dc0cb160ecbb1adb7e2323ac8d9e4c">tivx_meta_format_t::pyramid::height</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The <code><a class="el" href="vx__types_8h.html#a249dd49823433ffa16cf2e60ed25b7f1">vx_df_image_e</a></code> format of the <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a>. </p>

</div>
</div>
<a class="anchor" id="a412d06b819f02ba5bb0534e6967b1714"></a><!-- doxytag: member="tivx_meta_format_t::pyramid::format" ref="a412d06b819f02ba5bb0534e6967b1714" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a371968e3355d6f9e413d836ccc14d5b8">vx_df_image</a> <a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a412d06b819f02ba5bb0534e6967b1714">tivx_meta_format_t::pyramid::format</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of scale levels. </p>

</div>
</div>
<a class="anchor" id="a02b5cb95d14dcf21eeeb1c8e6c150192"></a><!-- doxytag: member="tivx_meta_format_t::pyramid::levels" ref="a02b5cb95d14dcf21eeeb1c8e6c150192" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a02b5cb95d14dcf21eeeb1c8e6c150192">tivx_meta_format_t::pyramid::levels</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The ratio between each level. </p>

</div>
</div>
<a class="anchor" id="a92fd5c1c67657805a04442ef65399a55"></a><!-- doxytag: member="tivx_meta_format_t::pyramid::scale" ref="a92fd5c1c67657805a04442ef65399a55" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#af14ad5e46a20640307420a745d199e1d">vx_float32</a> <a class="el" href="structtivx__meta__format__t_1_1pyramid.html#a92fd5c1c67657805a04442ef65399a55">tivx_meta_format_t::pyramid::scale</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
